## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanTranscodingServices::UnrepresentableCharacterException Class Reference

`#include <XalanTranscodingServices.hpp>`

Inheritance diagram for XalanTranscodingServices::UnrepresentableCharacterException

Collaboration diagram for XalanTranscodingServices::UnrepresentableCharacterException:

List of all members.

## Public Methods

- UnrepresentableCharacterException ( unsigned int theCharacter, const XalanDOMString& theEncoding)
- virtual ~UnrepresentableCharacterException ()
- unsigned int getCharacter () const
- const XalanDOMString& getEncoding () const

## Constructor & Destructor Documentation

XalanTranscodingServices::UnrepresentableCharacterException::UnrepresentableCharacterException ( | unsigned int theCharacter,
| const XalanDOMString & theEncoding )

virtual XalanTranscodingServices::UnrepresentableCharacterException::~UnrepresentableCharacterException ( | )`[virtual]`

## Member Function Documentation

unsigned int XalanTranscodingServices::UnrepresentableCharacterException::getCharacter ( | ) const`[]`

const XalanDOMString & XalanTranscodingServices::UnrepresentableCharacterException::getEncoding ( | ) const`[]`

The documentation for this class was generated from the following file:

- XalanTranscodingServices.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.